SuSE 9.3 mit List von 10.0 ?

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Benutzeravatar
stevil
Newbie
Newbie
Beiträge: 15
Registriert: 16. Dez 2005, 18:21

SuSE 9.3 mit List von 10.0 ?

Beitrag von stevil » 26. Feb 2006, 20:41

hi ;)

ich stricke gerade ne anleitung für rootserver auf basis von SuSE 9.3 (der trick mit update auf 10.0 klappt aus diversen gründen nicht, dazu mehr dann im folgenden HowTo...).

heute (26.02.06) sind folgende (für mich wichtigste) packete per apt vorhanden:
- apache 2.0.53
- PHP 5.0.3
- MySQL 4.1.x

gibts ne möglichkeit, das ich hier die packete von SuSE 10.0 nehme, bzw ohne gefahr das ich was verschieße direkt die aktuellsten packete kriege?
danköööööö :)

Werbung:
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 26. Feb 2006, 21:08

SuSE-10er Pakete gehen meist nicht für SuSE-9.3 wegen einer anderen glibc !

also Vorsicht mit Experimenten.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Benutzeravatar
panamajo
Guru
Guru
Beiträge: 2582
Registriert: 12. Feb 2005, 22:45

Re: SuSE 9.3 mit List von 10.0 ?

Beitrag von panamajo » 26. Feb 2006, 21:13

stevil hat geschrieben:gibts ne möglichkeit, das ich hier die packete von SuSE 10.0 nehme?
Ich zitiere Nick Burns: "If you want it _not_ to work: yes!" :mrgreen:

Benutzeravatar
stevil
Newbie
Newbie
Beiträge: 15
Registriert: 16. Dez 2005, 18:21

Beitrag von stevil » 26. Feb 2006, 21:14

alternative wäre die neuen packete beim hersteller direkt als RPM zu ziehen und dann lokal mittels apt einzufügen? (laut online handbuch kümmet sich ja apt selber um abhängigkeiten [...])

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 26. Feb 2006, 22:10

stevil hat geschrieben:alternative wäre die neuen packete beim hersteller direkt als RPM zu ziehen und dann lokal mittels apt einzufügen? (laut online handbuch kümmet sich ja apt selber um abhängigkeiten [...])
NEIN. Fremdpakete sind nicht mal so eben in eine SuSE-Distri zu integrieren. Das gibt oft mehr Probleme als es nützt, da die Abhängigkeiten (Paketnamen) oft anders heissen als bei SuSE.

evtl hilft dir ein Selbstcompile schneller weiter, oder schau mal in den anderen apt-Repositories für 9.3 ob du da nicht fündig wirst...
AFAIK ist php5 und apache auch für 9.3 in den von dir gesuchten Versionen vorhanden....

apt policy ist dein Freund. Hier im Forum ist auch ein Script zum durchsuchen aller Repositories vorhanden, das solltest du nutzen.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Benutzeravatar
stevil
Newbie
Newbie
Beiträge: 15
Registriert: 16. Dez 2005, 18:21

Beitrag von stevil » 26. Feb 2006, 22:47

apt policy hab ich schon genutzt, das ich andere repositorys durchsuchen werd, is jetz naheliegend...danköööö ;)
STRATO V-PowerServer A
SuSE Linux 9.3 | 2.4.20-021stab028.19.777

Server4you S4Y Power
SuSE Linux 9.2 | 2.6.8-24.18-smp

Home
FreeBSD 6.0 RELEASE

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste